<bugID>1224071<Summary>[non-e10s] JSON view is unreliable on huge (~2Mb) JSON files</Summary><Description>Created attachment 8686362
screenshot 1 - [non-e10s] JSON view always returns error on huge JSON file.png

STR:   (Win7_64, Nightly 45, 32bit, ID 20151108030417, new profile)
1. Set pref   devtools.jsonview.enabled -&gt; true
2. Open this 2Mb JSON attachment from bug 1122483 in a new tab:
&gt;   https://bugzilla.mozilla.org/attachment.cgi?id=8656886
3. Repeat this 5 times: click "reload" button or press Ctrl+R.

Result:
 In non-e10s mode JSON viewer fails at Step 2 and fails 5/5 times in Step 3.
 In e10s mode JSON viewer works OK at Step 2 and OK 5/5 in Step 3.

Expectations:
 Non-e10s performance should be at least 1/5   (lol)

Note:
 I tried to copy "Raw data" and compare it to original file .
 JSON viewer appears to make mistakes like turning this fragment
&gt;   {"someInnocentName":"blah", "anotherName":1.234567}
 into this one
&gt;   {"someInno:1.234567}</Description></bugID>